Skip to main content
POST
/
customs
/
declarations
cURL
curl https://api.goshippo.com/customs/declarations/ \
-H "Authorization: ShippoToken " \
-H "Content-Type: application/json"  \
-d '{          
      "contents_type": "MERCHANDISE",
      "non_delivery_option": "RETURN",
      "certify": true,
      "certify_signer": "Simon Kreuz",
      "incoterm": "DDU",
      "items": [{
                "description": "T-shirt",
                "quantity": 20,
                "net_weight": "5",
                "mass_unit": "lb",
                "value_amount": "200",
                "value_currency": "USD",
                "tariff_number": "",
                "origin_country": "US"
        }]
}'
{
  "certify": true,
  "certify_signer": "Shawn Ippotle",
  "contents_type": "MERCHANDISE",
  "items": [
    "5087f181d1dc4b14b73fdbf636498886"
  ],
  "non_delivery_option": "RETURN",
  "aes_itn": "<string>",
  "b13a_filing_option": "FILED_ELECTRONICALLY",
  "b13a_number": "<string>",
  "certificate": "<string>",
  "commercial_invoice": true,
  "contents_explanation": "T-Shirt purchase",
  "disclaimer": "<string>",
  "duties_payor": {
    "account": "2323434543",
    "type": "THIRD_PARTY",
    "address": {
      "name": "Patrick Kavanagh",
      "zip": "80331",
      "country": "DE"
    }
  },
  "exporter_identification": {
    "eori_number": "PL123456790ABCDE",
    "tax_id": {
      "number": "123456789",
      "type": "EIN"
    }
  },
  "exporter_reference": "<string>",
  "importer_reference": "<string>",
  "is_vat_collected": true,
  "invoice": "#123123",
  "license": "<string>",
  "metadata": "Order ID #123123",
  "notes": "<string>",
  "address_importer": "257ba08436604d2aaf069caafe7acb2a",
  "eel_pfc": "NOEEI_30_37_a",
  "incoterm": "DDP",
  "invoiced_charges": {
    "currency": "<string>",
    "total_shipping": "<string>",
    "total_taxes": "<string>",
    "total_duties": "<string>",
    "other_fees": "<string>"
  },
  "object_created": "2014-07-17T01:01:08.306Z",
  "object_id": "e2197a54da9d470480f4f8796cc419cb",
  "object_owner": "shippotle@shippo.com",
  "object_state": "VALID",
  "object_updated": "2014-07-17T01:01:08.306Z",
  "test": true
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Body

application/json

CustomsDeclaration details.

certify
boolean
required

Expresses that the certify_signer has provided all information of this customs declaration truthfully.

Example:

true

certify_signer
string
required

Name of the person who created the customs declaration and is responsible for the validity of all information provided.

Example:

"Shawn Ippotle"

contents_type
enum<string>
required

Type of goods of the shipment.
Allowed values available here

Available options:
DOCUMENTS,
GIFT,
SAMPLE,
MERCHANDISE,
HUMANITARIAN_DONATION,
RETURN_MERCHANDISE,
OTHER
Example:

"MERCHANDISE"

items
object[]
required
non_delivery_option
enum<string>
required

Indicates how the carrier should proceed in case the shipment can't be delivered. Allowed values available here

Available options:
ABANDON,
RETURN
Example:

"RETURN"

aes_itn
string

required if eel_pfc is AES_ITN
AES / ITN reference of the shipment.

b13a_filing_option
enum<string>

B13A Option details are obtained by filing a B13A Canada Export Declaration via the Canadian Export Reporting System (CERS). More information on reporting commercial exports from Canada. Allowed values available here

Available options:
FILED_ELECTRONICALLY,
SUMMARY_REPORTING,
NOT_REQUIRED
Example:

"FILED_ELECTRONICALLY"

b13a_number
string

must be provided if and only if b13a_filing_option is provided
Represents:
the Proof of Report (POR) Number when b13a_filing_option is FILED_ELECTRONICALLY;
the Summary ID Number when b13a_filing_option is SUMMARY_REPORTING;
or the Exemption Number when b13a_filing_option is NOT_REQUIRED.

certificate
string

Certificate reference of the shipment.

commercial_invoice
boolean
contents_explanation
string

required if contents_type is OTHER
Explanation of the type of goods of the shipment.

Example:

"T-Shirt purchase"

disclaimer
string

Disclaimer for the shipment and customs information that have been provided.

Carrier-Specific Constraints:

CarrierConstraints
FedExMax 554 characters
Maximum string length: 1000
duties_payor
object

Specifies who will pay the duties for the shipment. Only accepted for FedEx shipments.

exporter_identification
object

Additional exporter identification that may be required to ship in certain countries

exporter_reference
string

Exporter reference of an export shipment.

importer_reference
string

Importer reference of an import shipment.

is_vat_collected
boolean

Indicates whether the shipment's destination VAT has been collected. May be required for some destinations.

invoice
string

Invoice reference of the shipment.

Maximum string length: 15
Example:

"#123123"

license
string

License reference of the shipment.

metadata
string

A string of up to 100 characters that can be filled with any additional information you want to attach to the object.

Example:

"Order ID #123123"

notes
string

Additional notes to be included in the customs declaration.

address_importer
object

Object that represents the address of the importer

eel_pfc
enum<string>

EEL / PFC type of the shipment. For most shipments from the US to CA, NOEEI_30_36 is applicable; for most other shipments from the US, NOEEI_30_37_a is applicable. Allowed values available here

Available options:
NOEEI_30_37_a,
NOEEI_30_37_h,
NOEEI_30_37_f,
NOEEI_30_36,
AES_ITN
Example:

"NOEEI_30_37_a"

incoterm
enum<string>

The incoterm reference of the shipment. FCA is available for DHL Express and FedEx only. eDAP is available for DPD UK only. DAP is available for DHL Express, FedEx, and DPD UK. If expecting DAP for other carriers, please use DDU. Allowed values available here Carrier-specific restrictions are in the table below.

Carrier-Specific Constraints:

CarrierConstraints
FedExMust be one of DDP, DDU, FCA, DAP
Available options:
DDP,
DDU,
FCA,
DAP,
eDAP
Example:

"DDP"

test
boolean
Example:

true

Response

Customs declaration

certify
boolean
required

Expresses that the certify_signer has provided all information of this customs declaration truthfully.

Example:

true

certify_signer
string
required

Name of the person who created the customs declaration and is responsible for the validity of all information provided.

Example:

"Shawn Ippotle"

contents_type
string
required

Type of goods of the shipment.
Allowed values available here

Example:

"MERCHANDISE"

items
string[]
required

Distinct Parcel content items as Customs Items object_ids.

Example:
["5087f181d1dc4b14b73fdbf636498886"]
non_delivery_option
string
required

Indicates how the carrier should proceed in case the shipment can't be delivered. Allowed values available here

Example:

"RETURN"

aes_itn
string

required if eel_pfc is AES_ITN
AES / ITN reference of the shipment.

b13a_filing_option
string

B13A Option details are obtained by filing a B13A Canada Export Declaration via the Canadian Export Reporting System (CERS). More information on reporting commercial exports from Canada. Allowed values available here

Example:

"FILED_ELECTRONICALLY"

b13a_number
string

must be provided if and only if b13a_filing_option is provided
Represents:
the Proof of Report (POR) Number when b13a_filing_option is FILED_ELECTRONICALLY;
the Summary ID Number when b13a_filing_option is SUMMARY_REPORTING;
or the Exemption Number when b13a_filing_option is NOT_REQUIRED.

certificate
string

Certificate reference of the shipment.

commercial_invoice
boolean
contents_explanation
string

required if contents_type is OTHER
Explanation of the type of goods of the shipment.

Example:

"T-Shirt purchase"

disclaimer
string

Disclaimer for the shipment and customs information that have been provided.

Carrier-Specific Constraints:

CarrierConstraints
FedExMax 554 characters
Maximum string length: 1000
duties_payor
object

Specifies who will pay the duties for the shipment. Only accepted for FedEx shipments.

exporter_identification
object

Additional exporter identification that may be required to ship in certain countries

exporter_reference
string

Exporter reference of an export shipment.

importer_reference
string

Importer reference of an import shipment.

is_vat_collected
boolean

Indicates whether the shipment's destination VAT has been collected. May be required for some destinations.

invoice
string

Invoice reference of the shipment.

Maximum string length: 15
Example:

"#123123"

license
string

License reference of the shipment.

metadata
string

A string of up to 100 characters that can be filled with any additional information you want to attach to the object.

Example:

"Order ID #123123"

notes
string

Additional notes to be included in the customs declaration.

address_importer
string

Object ID of the Importer address.

Example:

"257ba08436604d2aaf069caafe7acb2a"

eel_pfc
string

EEL / PFC type of the shipment. For most shipments from the US to CA, NOEEI_30_36 is applicable; for most other shipments from the US, NOEEI_30_37_a is applicable. Allowed values available here

Example:

"NOEEI_30_37_a"

incoterm
string

The incoterm reference of the shipment. FCA is available for DHL Express and FedEx only. eDAP is available for DPD UK only. DAP is available for DHL Express, FedEx, and DPD UK. If expecting DAP for other carriers, please use DDU. Allowed values available here Carrier-specific restrictions are in the table below.

Carrier-Specific Constraints:

CarrierConstraints
FedExMust be one of DDP, DDU, FCA, DAP
Example:

"DDP"

invoiced_charges
object

Additional invoiced charges to be shown on the Customs Declaration Commercial Invoice.

object_created
string<date-time>

Date and time of object creation.

Example:

"2014-07-17T01:01:08.306Z"

object_id
string

Unique identifier of the given object.

Example:

"e2197a54da9d470480f4f8796cc419cb"

object_owner
string

Username of the user who created the object.

Example:

"shippotle@shippo.com"

object_state
enum<string>

Indicates the validity of the enclosing object

Available options:
VALID,
INVALID
object_updated
string<date-time>

Date and time of last object update.

Example:

"2014-07-17T01:01:08.306Z"

test
boolean

Indicates whether the object has been created in test mode.

Example:

true